import sqlite3
from flask import Flask, render_template,url_for, request,redirect
 
app = Flask(__name__)  

@app.route('/') 
def index():
     return render_template('index.html')

@app.route('/createdatabase') 
def createdatabase():
    conn = sqlite3.connect('SchoolName.db')
    conn.close()
    dbname = "SchoolName"
    return render_template('createDB.html', db = dbname)

@app.route('/createtable') 
def createtable():
    conn = sqlite3.connect('SchoolName.db')
    conn.execute('CREATE TABLE  IF NOT EXISTS  marks(SName TEXT, Class TEXT, RollNo TEXT, Science TEXT,Social TEXT, Maths TEXT,GK TEXT)')
    conn.close()
    tblname = "marks"
    return render_template('createdtbl.html', tblname = tblname)

@app.route('/updateInform')
def updateInform():
   return render_template('student.html')


@app.route('/updateintbl',methods = ['POST'])
def updateintbl():
  if request.method == 'POST':
    try:
         SName = request.form['studentname'] 
         Class = request.form['classes']
         RollNo = request.form['rollnumb']
         Science = request.form['science']
         Social = request.form['social']
         Maths = request.form['maths']
         GK =  request.form['gk']
         conn = sqlite3.connect('SchoolName.db')
         cur = conn.cursor()            
         cur.execute("INSERT INTO marks (SName,Class,RollNo,Science,Social,Maths,GK)  VALUES (?,?,?,?,?,?,?)", (SName,Class,RollNo,Science,Social,Maths,GK) )                 
         conn.commit()
    finally:
         return redirect("/updateInform")
         conn.close()

@app.route('/output')
def output():
   conn = sqlite3.connect("SchoolName.db")
   conn.row_factory = sqlite3.Row   
   cur = conn.cursor()
   cur.execute("select * from marks ")   
   Totalrows = cur.fetchall();    
   return render_template("output.html",Totalrows = Totalrows)


app.run(host='localhost', port=8000, debug=True)  
